Browse Source

OASIS: Update

 - Add md files
 - Compile setup/ml: much faster
Leo 10 years ago
parent
commit
f6f9c575bb
9 changed files with 130 additions and 54 deletions
  1. 12 0
      AUTHORS.md
  2. 42 0
      INSTALL.md
  3. 18 13
      Makefile
  4. 25 0
      README.md
  5. 25 0
      README.txt
  6. 0 34
      Readme.md
  7. 2 1
      _oasis
  8. 2 2
      configure
  9. 4 4
      setup.ml

+ 12 - 0
AUTHORS.md

@@ -0,0 +1,12 @@
+<!--- OASIS_START --->
+<!--- DO NOT EDIT (digest: 8b50d3b615117789414f2ad56e4f9d35) --->
+
+Authors of OcLaunch:
+
+* Joly Clément <leowzukw@vmail.me>
+
+Current maintainers of OcLaunch:
+
+* Joly Clément <leowzukw@vmail.me>
+
+<!--- OASIS_STOP --->

+ 42 - 0
INSTALL.md

@@ -0,0 +1,42 @@
+<!--- OASIS_START --->
+<!--- DO NOT EDIT (digest: e7b8287f66afa5461baa99be98a80d6d) --->
+
+This is the INSTALL file for the OcLaunch distribution.
+
+This package uses OASIS to generate its build system. See section OASIS for
+full information.
+
+Dependencies
+============
+
+In order to compile this package, you will need:
+
+* ocaml
+* findlib
+* core
+* yojson
+* atdgen
+* core_extended
+
+Installing
+==========
+
+1. Uncompress the source archive and go to the root of the package
+2. Run 'ocaml setup.ml -configure'
+3. Run 'ocaml setup.ml -build'
+4. Run 'ocaml setup.ml -install'
+
+Uninstalling
+============
+
+1. Go to the root of the package
+2. Run 'ocaml setup.ml -uninstall'
+
+OASIS
+=====
+
+OASIS is a program that generates a setup.ml file using a simple '_oasis'
+configuration file. The generated setup only depends on the standard OCaml
+installation: no additional library is required.
+
+<!--- OASIS_STOP --->

+ 18 - 13
Makefile

@@ -1,41 +1,46 @@
 # OASIS_START
-# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
+# DO NOT EDIT (digest: 46f8bd9984975bd4727bed22d0876cd2)
 
-SETUP = ocaml setup.ml
+SETUP = ./setup.exe
 
-build: setup.data
+build: setup.data $(SETUP)
 	$(SETUP) -build $(BUILDFLAGS)
 
-doc: setup.data build
+doc: setup.data $(SETUP) build
 	$(SETUP) -doc $(DOCFLAGS)
 
-test: setup.data build
+test: setup.data $(SETUP) build
 	$(SETUP) -test $(TESTFLAGS)
 
-all:
+all: $(SETUP)
 	$(SETUP) -all $(ALLFLAGS)
 
-install: setup.data
+install: setup.data $(SETUP)
 	$(SETUP) -install $(INSTALLFLAGS)
 
-uninstall: setup.data
+uninstall: setup.data $(SETUP)
 	$(SETUP) -uninstall $(UNINSTALLFLAGS)
 
-reinstall: setup.data
+reinstall: setup.data $(SETUP)
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean:
+clean: $(SETUP)
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean:
+distclean: $(SETUP)
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
+	$(RM) $(SETUP)
 
-setup.data:
+setup.data: $(SETUP)
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
-configure:
+configure: $(SETUP)
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
+setup.exe: setup.ml
+	ocamlfind ocamlopt -o $@ $< || ocamlfind ocamlc -o $@ $< || true
+	$(RM) setup.cmi setup.cmo setup.cmx setup.o
+
 .PHONY: build doc test all install uninstall reinstall clean distclean configure
 
 # OASIS_STOP

+ 25 - 0
README.md

@@ -0,0 +1,25 @@
+<!--- OASIS_START --->
+<!--- DO NOT EDIT (digest: 86ee484823984b779adcbdcbe0eb8842) --->
+
+OcLaunch - Launch commands automatically
+========================================
+
+OcLaunch is a command-line tool to launch successively (each time the program
+is called) commands. It is designed to be used with any program, interactive
+or not.
+
+See the file [INSTALL.md](INSTALL.md) for building and installation
+instructions.
+
+[Home page](https://gitlab.com/WzukW/oclaunch")
+
+Copyright and license
+---------------------
+
+(C) 2014 Joly Clément
+
+OcLaunch is distributed under the terms of the CEA-CNRS-INRIA Logiciel Libre.
+
+See [LICENSE](LICENSE) for more information.
+
+<!--- OASIS_STOP --->

+ 25 - 0
README.txt

@@ -0,0 +1,25 @@
+(* OASIS_START *)
+(* DO NOT EDIT (digest: 07dc657ea69c4242a296143e2ba181a8) *)
+
+OcLaunch - Launch commands automatically
+========================================
+
+OcLaunch is a command-line tool to launch successively (each time the program
+is called) commands. It is designed to be used with any program, interactive
+or not.
+
+See the file [INSTALL.txt](INSTALL.txt) for building and installation
+instructions.
+
+[Home page](https://gitlab.com/WzukW/oclaunch")
+
+Copyright and license
+---------------------
+
+(C) 2014 Joly Clément
+
+OcLaunch is distributed under the terms of the CEA-CNRS-INRIA Logiciel Libre.
+
+See [LICENSE](LICENSE) for more information.
+
+(* OASIS_STOP *)

+ 0 - 34
Readme.md

@@ -1,34 +0,0 @@
-# Licence
-
-This software is governed by the CeCILL license under French law and
-abiding by the rules of distribution of free software.  You can  use,
-modify and/ or redistribute the software under the terms of the CeCILL
-license as circulated by CEA, CNRS and INRIA at the following URL
-"http://www.cecill.info".
-
-# Descrition
-
-**OcLaunch** is a command-line tool to launch successively (each
-time the program is called) commands.    
-It is designed to be used with any program, interactive or
-not.
-
-
-# Installation
-
-See the file [INSTALL.txt](INSTALL.txt) for building and installation
-instructions.
-
-You can launch OcLaunch from both ./oclaunch.byte and
-./oclaunch.native
-
-## Usage
-
-Place each command to launch in the `progs` entry of your rc
-file, which is created in your $HOME at the first launch of
-the program.
-
-### Ideas of program to use with
-
- + [Taskwarrior](http://taskwarrior.org/ “Taskwarrior”)
- + [Irssi](http://irssi.org/ “Irssi”)

+ 2 - 1
_oasis

@@ -13,6 +13,7 @@ Plugins: StdFiles (0.4), DevFiles (0.4)
 XStdFilesREADME: false
 XStdFilesINSTALL: true
 XStdFilesAUTHORS: true
+AlphaFeatures: stdfiles_markdown, compiled_setup_ml
 Description: OcLaunch is a command-line tool to launch successively (each time the program is called) commands. It is designed to be used with any program, interactive or not.
 
 PreBuildCommand: atdgen -t ./src/settings.atd
@@ -23,4 +24,4 @@ Executable oclaunch
   Path:       src
   MainIs:     oclaunch.ml
   BuildDepends: core, yojson, atdgen, threads, core_extended
-  CompiledObject: best
+  CompiledObject: byte

+ 2 - 2
configure

@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # OASIS_START
-# DO NOT EDIT (digest: dc86c2ad450f91ca10c931b6045d0499)
+# DO NOT EDIT (digest: 6f7b8221311e800a7093dc3b793f67ca)
 set -e
 
 FST=true
@@ -23,5 +23,5 @@ for i in "$@"; do
   esac
 done
 
-ocaml setup.ml -configure "$@"
+make configure CONFIGUREFLAGS="$*"
 # OASIS_STOP

+ 4 - 4
setup.ml

@@ -1,7 +1,7 @@
 (* setup.ml generated for the first time by OASIS v0.4.5 *)
 
 (* OASIS_START *)
-(* DO NOT EDIT (digest: 436bb003763bf6fbc311240ecf850d89) *)
+(* DO NOT EDIT (digest: e32bf6b88d7cb16e8b5a63a3707476f1) *)
 (*
    Regenerated by OASIS v0.4.5
    Visit http://oasis.forge.ocamlcore.org for more information and
@@ -6670,7 +6670,7 @@ let setup_t =
           oasis_version = "0.4";
           ocaml_version = None;
           findlib_version = None;
-          alpha_features = [];
+          alpha_features = ["stdfiles_markdown"; "compiled_setup_ml"];
           beta_features = [];
           name = "OcLaunch";
           version = "0.1.2";
@@ -6745,7 +6745,7 @@ let setup_t =
                       bs_build = [(OASISExpr.EBool true, true)];
                       bs_install = [(OASISExpr.EBool true, true)];
                       bs_path = "src";
-                      bs_compiled_object = Best;
+                      bs_compiled_object = Byte;
                       bs_build_depends =
                         [
                            FindlibPackage ("core", None);
@@ -6778,7 +6778,7 @@ let setup_t =
        };
      oasis_fn = Some "_oasis";
      oasis_version = "0.4.5";
-     oasis_digest = Some "\231'\229\025\213\168=)4\1302\015\206v\139\027";
+     oasis_digest = Some "[\1848v\239\213\164\157\0211\005\000M)s\222";
      oasis_exec = None;
      oasis_setup_args = [];
      setup_update = false